Summary:	Wrapper library for DNS name resolving or DNS faking
Summary(pl.UTF-8):	Biblioteka obudowująca do rozwiązywania lub fałszowania nazw DNS
Name:		resolv_wrapper
Version:	1.1.7
Release:	1
License:	BSD
Group:		Libraries
Source0:	https://www.samba.org/ftp/cwrap/%{name}-%{version}.tar.gz
# Source0-md5:	3e0c29bd71277ca6b6d8e407c8d21772
URL:		https://cwrap.org/resolv_wrapper.html
BuildRequires:	cmake >= 3.5.0
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
resolv_wrapper makes it possible on most UNIX platforms to contact
your own DNS implmentation in your test environment. It requires
socket_wrapper to be able to contact the server. Alternatively, the
wrapper is able to fake DNS queries and return valid responses to your
application.

%description -l pl.UTF-8
resolv_wrapper umożliwia kontaktowanie się z własną implementacją DNS
w środowisku testowym na większości platform uniksowych. Wymaga
socket_wrappera w celu połączenia się z serwerem. Alternatywnie
pozwala sfałszować zapytanai DNS i zwracać aplikacji poprawne
odpowiedzi.

%prep
%setup -q

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG LICENSE README.md
%attr(755,root,root) %{_libdir}/libresolv_wrapper.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libresolv_wrapper.so.0
%attr(755,root,root) %{_libdir}/libresolv_wrapper.so
%{_pkgconfigdir}/resolv_wrapper.pc
%{_libdir}/cmake/resolv_wrapper
%{_mandir}/man1/resolv_wrapper.1*
%changelog
* Sat Aug 29 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/resolv_wrapper.git;a=log;h=master

* Sat Aug 29 2020 Jakub Bogusz <qboosh@pld-linux.org> d1128a6
- updated to 1.1.7

* Tue Apr 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 3b2ebe4
- updated to 1.1.6

* Wed Jan 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 2234ceb
- updated to 1.1.5

* Wed Jun 08 2016 Jakub Bogusz <qboosh@pld-linux.org> af8f8ba
- updated to 1.1.4

* Fri Sep 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 5958786
- updated to 1.1.3

* Mon Feb 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 7415d46
- updated to 1.1.2

* Wed Dec 31 2014 Jakub Bogusz <qboosh@pld-linux.org> 8ee74af
- updated to 1.1.0
- removed obsolete cmake patch

* Sat Nov 01 2014 Jakub Bogusz <qboosh@pld-linux.org> a92d8a3
- new; cmake patch fixes linking with libresolv

